package ru.dbotthepony.kstarbound.client.freetype.struct;

import com.sun.jna.NativeLong;

public enum FT_Glyph_Format {
	GLYPH_FORMAT_NONE(CMacros.makeEnumValue(0, 0, 0, 0 )),

	GLYPH_FORMAT_COMPOSITE(CMacros.makeEnumValue('c', 'o', 'm', 'p' )),
	GLYPH_FORMAT_BITMAP(CMacros.makeEnumValue(   'b', 'i', 't', 's' )),
	GLYPH_FORMAT_OUTLINE(CMacros.makeEnumValue(  'o', 'u', 't', 'l' )),
	GLYPH_FORMAT_PLOTTER(CMacros.makeEnumValue(  'p', 'l', 'o', 't' ));

	public final NativeLong value;

	FT_Glyph_Format(NativeLong value) {
		this.value = value;
	}
}
